Expedia
Expedia: Hotels Rooms
Hotels Rooms from Expedia. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
expedia
/
hotels-rooms
Hotels Rooms
curl --request GET \
--url https://api.perceptlayer.com/v1/expedia/hotels-rooms \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/expedia/hotels-rooms"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/expedia/hotels-rooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/expedia/hotels-rooms';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/expedia/hotels-rooms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/expedia/hotels-rooms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/expedia/hotels-rooms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/expedia/hotels-rooms")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "expedia.hotels-rooms",
"params": {
"property_id": "564660",
"check_in": "2026-11-20",
"check_out": "2026-11-23",
"adults": "2"
},
"response": {
"success": true,
"data": {
"property_id": "564660",
"check_in": "2026-11-20",
"check_out": "2026-11-23",
"currency": "EUR",
"rooms": [
{
"unit_id": "226385",
"name": "Classic Room, 1 Double Bed",
"features": [
"18 sq m",
"Sleeps 2",
"1 Double Bed"
],
"highlights": [
"Soundproofed rooms",
"Air-conditioning",
"Connecting rooms available"
],
"amenities": [
"Wheelchair accessibility",
"Bathtub or shower",
"Free toiletries"
],
"images": [
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/a459b4e5.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/97a2aec0.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/0d07c311.jpg?impolicy=fcrop&w=1200&h=800"
],
"rate_plans": [
{
"rate_plan_id": "397104173",
"total_price": 690,
"price_per_night": 230
},
{
"rate_plan_id": "397104181",
"total_price": 825,
"price_per_night": 275
},
{
"rate_plan_id": "552250",
"total_price": 858,
"price_per_night": 286
}
]
},
{
"unit_id": "226392",
"name": "Classic Room, 2 Single Beds",
"features": [
"18 sq m",
"Sleeps 2",
"2 Single Beds"
],
"highlights": [
"Soundproofed rooms",
"Air-conditioning",
"Connecting rooms available"
],
"amenities": [
"Bathtub or shower",
"Free toiletries",
"Hair dryer"
],
"images": [
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/a459b4e5.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/cbe409e6.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/108b41c5.jpg?impolicy=fcrop&w=1200&h=800"
],
"rate_plans": [
{
"rate_plan_id": "397104205",
"total_price": 700,
"price_per_night": 233
},
{
"rate_plan_id": "397104211",
"total_price": 825,
"price_per_night": 275
},
{
"rate_plan_id": "552300",
"total_price": 858,
"price_per_night": 286
}
]
},
{
"unit_id": "200000377",
"name": "Classic Room with 1 double bed and 1 armchair not convertible",
"features": [
"18 sq m",
"Sleeps 2",
"1 Double Bed"
],
"highlights": [
"Soundproofed rooms",
"Air-conditioning",
"Connecting rooms available"
],
"amenities": [
"Bathtub or shower",
"Free toiletries",
"Hair dryer"
],
"images": [
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/e76f8b5f.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/7c6ad1cd.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/0d07c311.jpg?impolicy=fcrop&w=1200&h=800"
],
"rate_plans": [
{
"rate_plan_id": "397104190",
"total_price": 724,
"price_per_night": 241
},
{
"rate_plan_id": "397104198",
"total_price": 849,
"price_per_night": 283
},
{
"rate_plan_id": "200001770",
"total_price": 888,
"price_per_night": 296
}
]
}
]
},
"meta": {
"endpoint_family": "room_offers",
"billable": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Expedia API overview for every Expedia endpoint.
Authorizations
Query Parameters
Was this page helpful?
⌘I
Hotels Rooms
curl --request GET \
--url https://api.perceptlayer.com/v1/expedia/hotels-rooms \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/expedia/hotels-rooms"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/expedia/hotels-rooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/expedia/hotels-rooms';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/expedia/hotels-rooms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/expedia/hotels-rooms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/expedia/hotels-rooms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/expedia/hotels-rooms")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "expedia.hotels-rooms",
"params": {
"property_id": "564660",
"check_in": "2026-11-20",
"check_out": "2026-11-23",
"adults": "2"
},
"response": {
"success": true,
"data": {
"property_id": "564660",
"check_in": "2026-11-20",
"check_out": "2026-11-23",
"currency": "EUR",
"rooms": [
{
"unit_id": "226385",
"name": "Classic Room, 1 Double Bed",
"features": [
"18 sq m",
"Sleeps 2",
"1 Double Bed"
],
"highlights": [
"Soundproofed rooms",
"Air-conditioning",
"Connecting rooms available"
],
"amenities": [
"Wheelchair accessibility",
"Bathtub or shower",
"Free toiletries"
],
"images": [
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/a459b4e5.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/97a2aec0.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/0d07c311.jpg?impolicy=fcrop&w=1200&h=800"
],
"rate_plans": [
{
"rate_plan_id": "397104173",
"total_price": 690,
"price_per_night": 230
},
{
"rate_plan_id": "397104181",
"total_price": 825,
"price_per_night": 275
},
{
"rate_plan_id": "552250",
"total_price": 858,
"price_per_night": 286
}
]
},
{
"unit_id": "226392",
"name": "Classic Room, 2 Single Beds",
"features": [
"18 sq m",
"Sleeps 2",
"2 Single Beds"
],
"highlights": [
"Soundproofed rooms",
"Air-conditioning",
"Connecting rooms available"
],
"amenities": [
"Bathtub or shower",
"Free toiletries",
"Hair dryer"
],
"images": [
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/a459b4e5.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/cbe409e6.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/108b41c5.jpg?impolicy=fcrop&w=1200&h=800"
],
"rate_plans": [
{
"rate_plan_id": "397104205",
"total_price": 700,
"price_per_night": 233
},
{
"rate_plan_id": "397104211",
"total_price": 825,
"price_per_night": 275
},
{
"rate_plan_id": "552300",
"total_price": 858,
"price_per_night": 286
}
]
},
{
"unit_id": "200000377",
"name": "Classic Room with 1 double bed and 1 armchair not convertible",
"features": [
"18 sq m",
"Sleeps 2",
"1 Double Bed"
],
"highlights": [
"Soundproofed rooms",
"Air-conditioning",
"Connecting rooms available"
],
"amenities": [
"Bathtub or shower",
"Free toiletries",
"Hair dryer"
],
"images": [
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/e76f8b5f.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/7c6ad1cd.jpg?impolicy=fcrop&w=1200&h=800",
"https://images.trvl-media.com/lodging/1000000/570000/564700/564660/0d07c311.jpg?impolicy=fcrop&w=1200&h=800"
],
"rate_plans": [
{
"rate_plan_id": "397104190",
"total_price": 724,
"price_per_night": 241
},
{
"rate_plan_id": "397104198",
"total_price": 849,
"price_per_night": 283
},
{
"rate_plan_id": "200001770",
"total_price": 888,
"price_per_night": 296
}
]
}
]
},
"meta": {
"endpoint_family": "room_offers",
"billable": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}